Skip to main content
GET
/
api
/
transactions
/
detail
Get Transaction Details
curl --request GET \
  --url http://127.0.0.1:8083/api/transactions/detail \
  --header 'X-API-Key: <api-key>' \
  --header 'X-API-Secret: <api-key>'
{
  "partner_transaction_id": "<string>",
  "network": "ETH",
  "account_currency": "USDT",
  "amount": 123,
  "transaction_type": "deposit",
  "transaction_id": "<string>",
  "source_wallet_address": "<string>",
  "target_wallet_address": "<string>",
  "status": "Processing,Succeeded,Failed",
  "created_at": "2023-11-07T05:31:56Z",
  "audit_at": "2023-11-07T05:31:56Z",
  "completed_at": "2023-11-07T05:31:56Z"
}

Authorizations

X-API-Key
string
header
required

Includes an API key in the HTTP headers to authenticate the client.

X-API-Secret
string
header
required

Includes an API secret in the HTTP headers to authenticate the client.

Query Parameters

partner_transaction_id
string

Partner Transaction Id

transaction_id
string

Transaction Id

Response

Operation Successful

partner_transaction_id
string
required
network
enum<string>
required

Network

Available options:
ETH,
TRX
Example:

"ETH"

account_currency
enum<string>
required

Account Currency

Available options:
USDT,
USDC,
USD
Example:

"USDT"

amount
number
required

Amount

transaction_type
enum<string>

Transaction Type

Available options:
deposit
transaction_id
string
source_wallet_address
string
target_wallet_address
string
status
string

Status

Example:

"Processing,Succeeded,Failed"

created_at
string<date-time>
audit_at
string<date-time>
completed_at
string<date-time>